//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>

    

#include "../nsx2.h"
#include "../_Debuger/debuger.h"

#include "FormMainwindow.h"
#include "About.h"

#pragma hdrstop
//---------------------------------------------------------------------------
//   Important note about DLL memory management when your DLL uses the
//   static version of the RunTime Library:
//
//   If your DLL exports any functions that pass String objects (or structs/
//   classes containing nested Strings) as parameter or function results,
//   you will need to add the library MEMMGR.LIB to both the DLL project and
//   any other projects that use the DLL.  You will also need to use MEMMGR.LIB
//   if any other projects which use the DLL will be performing new or delete
//   operations on any non-TObject-derived classes which are exported from the
//   DLL. Adding MEMMGR.LIB to your project will change the DLL and its calling
//   EXE's to use the BORLNDMM.DLL as their memory manager.  In these cases,
//   the file BORLNDMM.DLL should be deployed along with your DLL.
//
//   To avoid using BORLNDMM.DLL, pass string information using "char *" or
//   ShortString parameters.
//
//   If your DLL uses the dynamic version of the RTL, you do not need to
//   explicitly add MEMMGR.LIB as this will be done implicitly for you
//---------------------------------------------------------------------------

#pragma argsused
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void* lpReserved)
{
        return 1;
}
//---------------------------------------------------------------------------


pluginDebuger *FromEmu = NULL;
int 	DebugWindowCreated = FALSE;


void
HelloWorld () {    MessageBox (0, "Hello World from DLL!\n", "Hi", MB_ICONINFORMATION); }

#define PS2E_LT_DBG  0x12

const unsigned char version  = DEBUG_VERSION;
const unsigned char revision = 0;
const unsigned char build    = DEBUG_BUILD;

static char *libraryName     = "Debugger Inspector";

EXPORT(_u32)	PS2EgetLibType()		{	return PS2E_LT_DBG;	}

EXPORT(char*) PS2EgetLibName(void)   	{	return libraryName;	}

EXPORT(_u32)	PS2EgetLibVersion()	{	return version<<16|revision<<8|build;	}


EXPORT(int) DLL_OpenDebuger ( HINSTANCE hINST ) {

		if ( DebugWindowCreated == FALSE ) {

	        Form_Debug = new TForm_Debug(NULL);
			Form_About = new TForm_About(NULL);
            DebugWindowCreated = TRUE;
        }
	FromEmu = NULL;

	return TRUE;


}

EXPORT(int) DLL_CloseDebuger ( HINSTANCE hINST ) {

	if ( DebugWindowCreated == TRUE ) {
        delete Form_Debug;
		delete Form_About;

        DebugWindowCreated = FALSE;

    }
    FromEmu = NULL;
	return TRUE;
}



EXPORT(int) DLL_InitDebuger ( pluginDebuger *fPlugin ) {

	FromEmu = fPlugin;

	return TRUE;
}

EXPORT(int) DLL_ShutdownDebuger ( void ) {

	FromEmu = NULL;

	return TRUE;
}


EXPORT(void) DLL_ShowHideDebuger (HWND hwnd ) {

		if ( DebugWindowCreated == TRUE ) {

        	if ( Form_Debug->Visible == TRUE ) Form_Debug->Hide();
        	else        {
				Form_Debug->Show();

        	}

		}
}

EXPORT(void) DLL_SendBreak ( ) {
		DBG_Send_BreakPoint (  );
}




