/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/


#include "PS2Etypes.h"
#define PLUGINtypedefs
#define PLUGINfuncs
#include "PS2Edefs.h"
#include "sif.h"

#define LoadSym(dest, src, name, checkerr) \
    dest = (src) SysLoadSym(drv, name); 


extern char 	ElfToExecute[FILE_NAME_LENGHT];		//Elf File to Execute
extern char 	GSPluginToUse[FILE_NAME_LENGHT];
extern char 	InputPluginToUse[FILE_NAME_LENGHT];
extern char 	SifPluginToUse[FILE_NAME_LENGHT];
extern char 	DBGPluginToUse[FILE_NAME_LENGHT];

void *SysLoadSym(void *lib, char *sym) ;

u8 LoadGsPluggin       ( char * filename ) ;
u8 LoadInputPluggin    ( char * filename ) ;
u8 LoadSifPluggin      ( char * filename ) ;
u8 LoadDEBUGPluggin    ( char * filename ) ;


int PLUGINS_InitAll();
void PLUGINS_ShutdownAll();


