/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#ifndef _R5900_DEBUG_REGS_H
#define _R5900_DEBUG_REGS_H


static char * debug_r5900_reg [34] = {
"r0", "at", "v0", "v1", "a0", "a1", "a2", "a3",
"t0", "t1", "t2", "t3", "t4", "t5", "t6", "t7",
"s0", "s1", "s2", "s3", "s4", "s5", "s6", "s7",
"t8", "t9",
"k0", "k1",
"gp", "sp",
"s8",
"ra",
"hi", "lo"
};	

static char * debug_r5900_cop1_reg [32] = {
"fp0",	"fp1",	"fp2",	"fp3",	"fp4",	"fp5",	"fp6",	"fp7",
"fp8",	"fp9",	"fp10",	"fp11",	"fp12",	"fp13",	"fp14",	"fp15", 
"fp16",	"fp17",	"fp18",	"fp19",	"fp20",	"fp21",	"fp22",	"fp23",
"fp24", "fp25",	"fp26",	"fp27",	"fp28",	"fp29",	"fp30",	"fp31"
};	

static char * debug_r5900_cop0_reg [32] = {
	"Index",			"Random",	"EntryLo0",	"EntryLo1",	"Context",		"PageMask",		"Wired",	" ", 	
	"BadWAddr",			"Count",	"EntryHi",	"Compare",	"Status",		"Cause",		"EPC",		"PRiD",
	"Config/Config1",	" ",		"WatchLo",	"WatchHi",	"XContext",		" ", 			" ", 		"Debug",				
	"DEPC",				"PerfCnt",	"ErrCtl",	"CacheErr", "TagLo/DataLo",	"TagHi/DataHi",	"ErrorEPC",	"DESAVE"
};

#endif
